<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.miya.fastcashier">

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <application
        android:name=".BaseApplication"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.MiYaFastCashier.Dark">

        <activity
            android:name=".ui.LoginActivity"
            android:exported="true"
            android:label="@string/app_name"
            android:theme="@style/Theme.MiYaFastCashier.Light">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.MainActivity"
            android:launchMode="singleTask"
            android:theme="@style/Theme.MiYaFastCashier.Dark" />
        <activity
            android:name=".ui.PriceInputActivity"
            android:theme="@style/Theme.MiYaFastCashier.Dark" />
        <activity
            android:name=".ui.PayCodeActivity"
            android:theme="@style/Theme.MiYaFastCashier.Dark" />
        <activity
            android:name=".ui.AliPayCodeActivity"
            android:theme="@style/Theme.MiYaFastCashier.Blue" />
        <activity
            android:name=".ui.WxPayCodeActivity"
            android:theme="@style/Theme.MiYaFastCashier.Green" />
        <activity
            android:name=".ui.PayResultActivity"
            android:theme="@style/Theme.MiYaFastCashier.Light" />
        <activity
            android:name=".ui.RefundActivity"
            android:theme="@style/Theme.MiYaFastCashier.Dark" />
        <activity
            android:name=".ui.PayActivity"
            android:theme="@style/Theme.MiYaFastCashier.Dark" />
        <activity
            android:name=".ui.SearchOrderActivity"
            android:theme="@style/Theme.MiYaFastCashier.Dark" />
        <activity
            android:name=".ui.SettingActivity"
            android:exported="true" />
        <activity
            android:name=".ui.ResetAuthorizePasswordActivity"
            android:exported="true" />
        <activity
            android:name=".log.FunctionCenterActivity"
            android:exported="true" />
        <activity
            android:name=".log.LFilePickerActivity"
            android:exported="true" />

    </application>

    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />

</manifest>